Disparition automatisation

Mon problème

Bonjour,
Toutes mes automatisations ont disparues !
Même le menu pour en ajouter !
Je pense à un bug mais comment y remédier ?

D’avance merci

Ma configuration


System Health

version core-2021.11.0
installation_type Home Assistant OS
dev false
hassio true
docker true
user root
virtualenv false
python_version 3.9.7
os_name Linux
os_version 5.10.17-v8
arch aarch64
timezone Europe/Paris
Home Assistant Community Store
GitHub API ok
Github API Calls Remaining 4922
Installed Version 1.18.0
Stage running
Available Repositories 975
Installed Repositories 10
Home Assistant Cloud
logged_in false
can_reach_cert_server ok
can_reach_cloud_auth ok
can_reach_cloud ok
Home Assistant Supervisor
host_os Home Assistant OS 6.6
update_channel stable
supervisor_version supervisor-2021.12.1
docker_version 20.10.8
disk_total 109.3 GB
disk_used 10.9 GB
healthy true
supported true
board rpi4-64
supervisor_api ok
version_api ok
installed_addons Samba share (9.3.0), Mosquitto broker (5.1), Node-RED (8.1.2), deCONZ (6.10.0), Terminal & SSH (9.2.1)
Lovelace
dashboards 1
resources 2
views 6
mode storage
___

De plus je ne peux pas faire les mises à jour, ca me dit :

Unknown error, see supervisor

Une mise à jour est disponible pour Home Assistant Core . Vous avez installé 2021.11.5 Cliquez sur mettre à jour pour 2021.11.5

dans les points exclamations il est ecrit cela :

Logger: homeassistant.components.zha.core.channels.base
Source: components/zha/core/channels/base.py:428
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 17:57:02 (2 occurrences)
Last logged: 17:57:03

[0x86F2:3:0x0006]: async_initialize: all attempts have failed: [DeliveryError('[0x86f2:3:0x0006]: Message send failure'), DeliveryError('[0x86f2:3:0x0006]: Message send failure'), DeliveryError('[0x86f2:3:0x0006]: Message send failure'), DeliveryError('[0x86f2:3:0x0006]: Message send failure')]
[0x0807:1:0x0500]: async_initialize: all attempts have failed: [DeliveryError('[0x0807:1:0x0500]: Message send failure'), DeliveryError('[0x0807:1:0x0500]: Message send failure'), DeliveryError('[0x0807:1:0x0500]: Message send failure'), DeliveryError('[0x0807:1:0x0500]: Message send failure')]

Bonsoir,

Il faudrait nous en dire un peu plus quand-même
Que voulez-vous dire par disparu, vous voulez parler de l’interface graphique ?
A la suite quoi avez-vous constatez leurs disparitions ?
Comment créez-vous vos automatisations ?

Par avance merci

Le menu AUTOMATISATION dans configuration a disparu ainsi que mes automatisations.

Oui de l’interface et plus rien ne fonctionne en zigbee

Je l’ai crée avec ce menu justement et parfois j’importe des blueprint (surtout pour le cube)

Cordialement

Et à la suite de quoi avez-vous constaté cela ?

Hello

Il y a une refonte de l’interface graphique !!!
@Argonaute a fait de le boulot de synthétiser, c’est dommage de pas le lire
https://forum.hacf.fr/t/2021-12-mise-a-jour-majeure-de-home-assistant/7878/
Donc probablement plein d’habitude à perdre et un refresh du cache du navigateur !!

EDIT: Tu es pê pas en version 2021-12

Et comment cela se fait il que plus rien ne fonctionne en zigbee?
Je n’avais fais aucune mise à jour.
Tout à planté d’un coup.
Dans la nouvelle interface ou se trouve le menu automatisation du coup ?
Merci

Tu es certain ?

Une mise à jour est disponible pour Home Assistant Core . Vous avez installé 2021.11.5 Cliquez sur mettre à jour pour 2021.11.5

C’est pas ce que semble dire ton message précédent.
Si c’est pas déjà le cas, il va de toute façon falloir la faire
C’est les logs qui donnent les infos, on peut proposer plein d’explications mais c’est pas le but.

Non ce message c’est lorsque j’essaie la mise à jour.
Ça plante avec le message d’erreur ci dessus

ok, donc ça dit quoi dans les logs/journaux du core ?

@EL-Manu et un CTRL+R dans le navigateur pour rafraichir ?

normalement le menu configuration a du passer en couleur si la maj est passée .

perso la nouvelle version, j ai perdu la fonction de reload du core ( pas tres pratique ) , et le zigbee ne marchait plus, j ai du déplacer la clef (conbeeII, pourtant vue ) du hub usb et la brancher en direct sur le port USB, ca remarche …

Pas eu de soucis avec le zigbee. Et la fonction du core est toujours présente : ‹ Modules complémentaires, sauvegardes et superviseur ›


@EL-Manu dans le pire des cas, tu as un backup sous la main normalement. Avant la procédure de mise à jour, ça propose d’en faire un

@EL-Manu Ce qui t’arrive est clairement pas normal… et je ne sais pas qi quelqu’un saura, sauf si c’est arrivé à d’autres

Tu avais ajouté quelque chose ou fait un changement pour que ça arrive? ou un crash ou reboot inattendu?

Quand tu vas dans le répertoire « config », est-ce que le fichier automations.yaml est encore là avec toutes tes automatisations ?

As tu regardé sur le forum hass.io si le symptôme « automations disappeared » est connu?

si cela peut vous aider à comprendre mon problème, voila mon log :

2021-12-11 18:00:23 WARNING (SyncWorker_1) [homeassistant.loader] We found a custom integration astroweather which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-12-11 18:00:23 WARNING (SyncWorker_2) [homeassistant.loader] We found a custom integration nodered which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-12-11 18:00:23 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration hacs which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-12-11 18:00:23 WARNING (SyncWorker_3) [homeassistant.loader] We found a custom integration localtuya which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-12-11 18:00:23 WARNING (SyncWorker_1) [homeassistant.loader] We found a custom integration zigbee2mqtt_networkmap which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-12-11 18:00:23 WARNING (SyncWorker_0) [homeassistant.loader] We found a custom integration miio_yeelink which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-12-11 18:00:23 WARNING (SyncWorker_3) [homeassistant.loader] We found a custom integration scheduler which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant
2021-12-11 18:00:24 WARNING (Recorder) [homeassistant.components.recorder.util] The system could not validate that the sqlite3 database at //config/home-assistant_v2.db was shutdown cleanly
2021-12-11 18:00:25 WARNING (Recorder) [homeassistant.components.recorder.util] Ended unfinished session (id=5 from 2021-12-11 16:55:37.766007)
2021-12-11 18:00:38 ERROR (MainThread) [homeassistant.setup] Error during setup of component automation
Traceback (most recent call last):
File "/usr/src/homeassistant/homeassistant/components/device_automation/__init__.py", line 109, in async_get_device_automation_platform
integration = await async_get_integration_with_requirements(hass, domain)
File "/usr/src/homeassistant/homeassistant/requirements.py", line 58, in async_get_integration_with_requirements
integration = await async_get_integration(hass, domain)
File "/usr/src/homeassistant/homeassistant/loader.py", line 566, in async_get_integration
integration = await _async_get_integration(hass, domain)
File "/usr/src/homeassistant/homeassistant/loader.py", line 594, in _async_get_integration
raise IntegrationNotFound(domain)
homeassistant.loader.IntegrationNotFound: Integration '' not found.
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/usr/src/homeassistant/homeassistant/setup.py", line 254, in _async_setup_component
result = await task
File "/usr/src/homeassistant/homeassistant/components/automation/__init__.py", line 236, in async_setup
if not await _async_process_config(hass, config, component):
File "/usr/src/homeassistant/homeassistant/components/automation/__init__.py", line 643, in _async_process_config
await async_validate_config_item(hass, raw_config),
File "/usr/src/homeassistant/homeassistant/components/automation/config.py", line 86, in async_validate_config_item
config[CONF_ACTION] = await script.async_validate_actions_config(
File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 241, in async_validate_actions_config
return await asyncio.gather(
File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 288, in async_validate_action_config
choose_conf[CONF_SEQUENCE] = await async_validate_actions_config(
File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 241, in async_validate_actions_config
return await asyncio.gather(
File "/usr/src/homeassistant/homeassistant/helpers/script.py", line 256, in async_validate_action_config
platform = await device_automation.async_get_device_automation_platform(
File "/usr/src/homeassistant/homeassistant/components/device_automation/__init__.py", line 112, in async_get_device_automation_platform
raise InvalidDeviceAutomationConfig(
homeassistant.components.device_automation.exceptions.InvalidDeviceAutomationConfig: Integration '' not found
2021-12-11 18:00:38 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of default_config. Setup failed for dependencies: automation
2021-12-11 18:00:38 ERROR (MainThread) [homeassistant.setup] Setup failed for default_config: Could not set up all dependencies.
2021-12-11 18:00:41 WARNING (MainThread) [homeassistant.config_entries] Config entry 'kotone' for tplink integration not ready yet: Unable to connect to the device: None; Retrying in background
2021-12-11 18:01:25 WARNING (MainThread) [homeassistant.components.zha.core.channels.base] [0x0807:1:0x0500]: async_initialize: all attempts have failed: [DeliveryError('[0x0807:1:0x0500]: Message send failure'), DeliveryError('[0x0807:1:0x0500]: Message send failure'), DeliveryError('[0x0807:1:0x0500]: Message send failure'), DeliveryError('[0x0807:1:0x0500]: Message send failure')]
2021-12-11 18:01:25 WARNING (MainThread) [homeassistant.components.zha.core.channels.base] [0x86F2:3:0x0006]: async_initialize: all attempts have failed: [DeliveryError('[0x86f2:3:0x0006]: Message send failure'), DeliveryError('[0x86f2:3:0x0006]: Message send failure'), DeliveryError('[0x86f2:3:0x0006]: Message send failure'), DeliveryError('[0x86f2:3:0x0006]: Message send failure')]
2021-12-11 18:04:45 WARNING (MainThread) [homeassistant.helpers.entity] Update of light.yeelink_radio is taking over 10 seconds
2021-12-11 18:04:45 ERROR (MainThread) [custom_components.miio_yeelink] Got exception while fetching the state for Yeelink radio: Unable to discover the device 192.168.0.16
2021-12-11 18:05:59 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 18:15:39 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 18:40:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 18:55:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 18:58:02 WARNING (MainThread) [zigpy_deconz.api] No response to 'Command.aps_data_indication' command with seq id '0x28'
2021-12-11 19:15:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 19:25:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 19:52:27 ERROR (MainThread) [homeassistant.components.tplink.coordinator] Error fetching 192.168.0.19 data: Unable to connect to the device: 192.168.0.19
2021-12-11 20:05:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 20:25:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 20:51:10 WARNING (MainThread) [zigpy_deconz.api] No response to 'Command.aps_data_indication' command with seq id '0x99'
2021-12-11 21:05:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 21:20:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 21:45:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 22:05:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 22:10:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 22:50:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 23:05:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 23:15:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-11 23:35:33 ERROR (MainThread) [homeassistant.components.tplink.coordinator] Error fetching 192.168.0.19 data: Unable to connect to the device: 192.168.0.19
2021-12-11 23:40:52 WARNING (MainThread) [zigpy_deconz.api] No response to 'Command.aps_data_indication' command with seq id '0xfa'
2021-12-12 00:20:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 00:45:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 01:15:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 01:25:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 01:40:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 01:50:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 02:05:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 02:30:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 02:30:34 WARNING (MainThread) [zigpy_deconz.api] No response to 'Command.aps_data_indication' command with seq id '0x49'
2021-12-12 03:05:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 03:25:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 03:27:08 WARNING (MainThread) [zigpy_deconz.api] No response to 'Command.aps_data_indication' command with seq id '0x05'
2021-12-12 03:40:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 03:45:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 03:50:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 04:15:35 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 04:23:42 WARNING (MainThread) [zigpy_deconz.api] No response to 'Command.aps_data_indication' command with seq id '0xbb'
2021-12-12 04:35:35 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 04:46:00 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 05:20:16 WARNING (MainThread) [zigpy_deconz.api] No response to 'Command.aps_data_indication' command with seq id '0x65'
2021-12-12 05:30:40 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 05:40:35 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 05:50:35 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 06:16:50 WARNING (MainThread) [zigpy_deconz.api] No response to 'Command.aps_data_indication' command with seq id '0x3d'
2021-12-12 06:40:38 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 07:45:40 ERROR (MainThread) [homeassistant.components.tplink.coordinator] Error fetching 192.168.0.19 data: Unable to connect to the device: 192.168.0.19
2021-12-12 08:20:33 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 08:25:23 ERROR (MainThread) [homeassistant.components.tplink.coordinator] Error fetching 192.168.0.19 data: Unable to connect to the device: 192.168.0.19
2021-12-12 09:30:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 09:50:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 09:55:34 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 10:19:31 ERROR (Thread-7) [pychromecast.socket_client] [SHIELD(192.168.0.11):8009] Error reading from socket.
2021-12-12 10:19:31 WARNING (Thread-7) [pychromecast.socket_client] [SHIELD(192.168.0.11):8009] Error communicating with socket, resetting connection
2021-12-12 10:59:40 WARNING (MainThread) [zigpy_deconz.api] No response to 'Command.aps_data_indication' command with seq id '0x3e'
2021-12-12 11:05:35 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 11:55:35 ERROR (MainThread) [homeassistant.components.upnp] Timeout fetching SAGEM F@ST3686 data
2021-12-12 11:56:14 WARNING (MainThread) [zigpy_deconz.api] No response to 'Command.aps_data_indication' command with seq id '0xf9'
2021-12-12 12:37:25 ERROR (MainThread) [homeassistant.components.hassio] Failed to to call /backups/new/partial - Unknown error, see supervisor
2021-12-12 12:37:27 ERROR (MainThread) [homeassistant.components.hassio] Failed to to call /backups/new/partial - Unknown error, see supervisor
2021-12-12 12:37:27 ERROR (MainThread) [homeassistant.components.hassio] Failed to to call /backups/new/partial - Unknown error, see supervisor

Je progresse dans l’erreur, j’ai tout viré, j’ai remis HA, j’ai restauré, le nouveau menu en couleur apparait bien .
Mais impossible d’activer mes ancienness automatisations et surtout impossible d’en créer une .
Lorsque j’en crée une et que je sauvegarde rien ne se passe et elle n’apparait pas dans la liste . :unamused:

Tu as une automatisation qui fait planter le chargement

Peut-être une automatisation basée sur une intégration custom ou autre que tu as supprimé entre temps?

J’essayerais les steps suivants:

  • Copie to /config/automation.yaml sur ton PC pour le garder.
  • Supprime le contenu de /config/automation.yaml
  • Redémarre Home assistant.
  • Tu devrais avoir automation de nouveau, si oui créé une automatisation.
  • Rajout des automatisation les unes après les autres… jusqu’à ce que ça plante

Version raccourcie… ouvre automation.yaml et trouve celles qui sont suspectes et vire les ou copie les ailleurs…

J’ai vidé le automtisation.yaml , j’ai redemarré, les automations sont toujours là et je ne peux toujours pas en créer une …

Comment fait on une RAZ ?
Pas une resinstall mais juste une RAZ ?